<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="./styles.css">

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.21/lodash.min.js"
        integrity="sha512-WFN04846sdKMIP5LKNphMaWzU7YpMyCU245etK3g/2ARYbPK9Ub18eG+ljU96qKRCWh+quCY7yefSmlkQw1ANQ=="
        crossorigin="anonymous"></script>

    <title>Scienomics Assignement</title>
</head>

<body>
    <h1>My awesome scheduler !</h1>
    <h4>Machines</h4>
    <div id="machines-container" class="row">
        <div class="machine-card card col-3">
            <div class="card-body">
                <h5 class="card-title">Papermill</h5>
                <h6 class="card-subtitle mb-2 text-muted">Needs : wood, water.</h6>
                <p class="card-text">Produces : paper</p>
            </div>
        </div>
    </div>
    <h4 class="title">What do you want ?</h4>
    <div class="container">
        <select class="form-control" id="select" onchange="refreshAnswer(this.value)">
            <option></option>
        </select>
    </div>
    <div id="answer"></div>

    <h4 class="title">Want to add a machine ?</h4>
    <div id="new-machine-form" class="container">
        <div class="form-group">
            <label for="machine-name">Name</label>
            <input type="text" class="form-control" id="machine-name" placeholder="Enter name">
        </div>
        <div class="form-group" id="machine-needs">
            <label>Needs</label>
            <input type="text" class="form-control" class="machine-need"
                placeholder="Enter what the machine needs or leave empty">
            <input type="text" class="form-control" class="machine-need"
                placeholder="Enter what the machine needs or leave empty">
            <input type="text" class="form-control" class="machine-need"
                placeholder="Enter what the machine needs or leave empty">
        </div>
        <div class="form-group">
            <label for="product-name">Produces</label>
            <input type="text" class="form-control" id="product-name" placeholder="Enter product name">
        </div>
        <button class="btn btn-primary btn-submit" onclick="addMachine()">Submit</button>
    </div>
    <script src="./script.js"></script>
</body>

</html>